.loader-container{
    position: fixed;
    text-align: center;
    z-index: 999999999999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-color: #fff6e9;
}

.loader{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10000000;
    display: block ;
    width: 150px;
    height: 150px;
    transition: all .5s ease-in-out;
    animation-name: pulse;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}


.LoaderFade{
    animation-name: loaderOut;
    animation-duration: 2s;
    animation-iteration-count: 1;
    top: -50%;
    transform: translate(-50%, 50%);
}

@keyframes pulse    {
    0%{
        transform: scale(0.9)translate(-50%, -50%);
        opacity: 0.8;
    }
    50%{
        transform: scale(1)translate(-50%, -50%);
        opacity: 1;
    }
    100%{
        opacity: 0.8;
        transform: scale(0.9)translate(-50%, -50%);
    }
}

@keyframes loaderOut {
    0%{
        transform: scale(1)translate(-50%, -50%);
        top: 50%;
        opacity: 1;
    }
    100%{
        top: -50%;
        opacity: 0.5;
        transform: scale(0.5)translate(-50%, 50%);
    }
}





/** Estilos para el navbar */
nav{
    position: sticky;
    top: 10px;
    left: 0;
    z-index: 1000000;
    background-color: #1C74BA;
    padding: 0px 10px;
    /* box-shadow: 0px 5px 10px rgba(0,0,0,0.1); */
    width: 60rem;
    max-width: 100%;
    margin: 10px auto;
    border-radius: 90px;
}
nav ul{
    display: flex;
    justify-content: center;
    align-items: center;
    list-style: none;
    margin: 10px;
    padding-left: 0px;
}

nav ul li{
    padding: 5px 15px;
    margin-left: 30px;
    transition: all 0.3s ease;
}

nav ul li a{
    text-decoration: none;
    color: #fff;
    font-family: 'Inter', sans-serif;
    font-weight: 700;
    font-size: 14px;
}

nav ul li.btn_nav{
    background-color: #fff;
    border-radius: 2px;
    padding: 3px 25px;
    border: 1px solid #fff;
}
nav ul li.btn_nav a{
    color: #1C74BA;
}
nav ul li:hover.btn_nav a{
    color: #1C74BA;
}

nav ul li.active a{
    color: #fff;
}

nav ul li:hover{
    transform: scale(1.04);
    color: #fff;
}nav ul li:hover a{
    color: #fff;
}nav ul li:hover.btn_nav{
    background-color: white;
    border: 1px solid #fff;
}

.menu-hamburger {
    display: none;
    color: #1C74BA;
    padding: 5px 15px;
    width: auto;
    background-color: #fff;
    border-radius: 3px;
    max-width: 80px !important;
    /* text-align: end !important; */
}

/** Estilos para sobreescribir los botones de bootstrap */
.btn-primary{
    background-color: var(--azul-botones);
    border: 1px solid var(--azul-botones);
    padding: 7px 30px;
    font-family: 'Inter', sans-serif;
    font-weight: 500;
    font-size: 18px;
    /* box-shadow: 0px 10px 10px #0000002a; */
    transition: all 0.4s ease;
}.btn-primary:hover{
    transform: scale(1.03);
    border: 1px solid var(--azul-botones);
    background-color: var(--azul-botones);
}.btn-primary > .material-symbols-rounded{
    font-size: 20px;
}


.btn-secondary{
    font-family: 'Inter', sans-serif;
    padding: 7px 30px;
    font-weight: 500;
    font-size: 18px;
    background-color: var(--cafe-claro-botones);
    border: 1px solid var(--cafe-claro-botones);
    box-shadow: 0px 10px 10px #00000036;
}



/** Estilos para Cards de diseños prestablecidos y tienda */
.glassBox {
    width: 100%;
    /* height: 400px; */
    max-width: 250px;
    border-radius: 10px;
    background: #f7f7f7;
    background-color: #f7f7f7;
    -webkit-backdrop-filter: blur(2px);
    backdrop-filter: blur(2px);
    box-shadow: 0 20px 30px rgba(0, 0, 0, 0.1);
    padding: 15px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.glassBox, .glassBox * {
    box-sizing: border-box;
    transition: 400ms;
}

.glassBox__imgBox img {
    display: block;
    width: 100%;
    height: auto;
}

.glassBox__title {
    text-align: center;
    margin-top: 15px;
    color: #1C74BA;
    font-size: 20px;
    font-weight: 700;
}

.glassBox__content {
    position: relative;
    text-align: center;
    color: #1C74BA;
    font-size: 14px;
    letter-spacing: 0.1em;
    opacity: 1;
    transform: translateY(20px);
}

.glassBox:hover .glassBox__imgBox {
    transform: translateY(-20px);
}
.glassBox:hover .qty-input {
    transform: translateY(-20px)scale(1.1);
}
.glassBox:hover .qty-disclaimer {
    transform: translateY(-20px);
}
.glassBox:hover .btn {
    transform: translateY(-10px);
}
.glassBox:hover .glassBox__imgBox img {
    transform: translate(-5px, -15px) rotate(-10deg) scale(1.1);
}


.aviso-cookies {
	display: none;
	background: #fff;
	padding: 20px;
	width: calc(100% - 40px);
	max-width: 300px;
	line-height: 150%;
	border-radius: 10px;
	position: fixed;
	bottom: 20px;
	left: 20px;
	z-index: 10000101;
	padding-top: 60px;
	box-shadow: 0px 2px 20px 10px rgba(222,222,222,.25);
	text-align: center;
}

.aviso-cookies.activo {
	display: block;
}

.aviso-cookies .galleta {
	max-width: 100px;
	position: absolute;
	top: -50px;
	left: calc(50% - 50px);
}

.aviso-cookies .titulo,
.aviso-cookies .parrafo {
	margin-bottom: 15px;
}

.aviso-cookies .boton {
	width: 100%;
	background: #595959;
	border: none;
	color: #fff;
	font-family: 'Roboto', sans-serif;
	text-align: center;
	padding: 15px 20px;
	font-weight: 700;
	cursor: pointer;
	transition: .3s ease all;
	border-radius: 5px;
	margin-bottom: 15px;
	font-size: 14px;
}

.aviso-cookies .boton:hover {
	background: #000;
}

.aviso-cookies .enlace {
	color: #1C74BA;
	text-decoration: none;
	font-size: 14px;
}

.aviso-cookies .enlace:hover {
	text-decoration: underline;
}

.fondo-aviso-cookies {
	display: none;
	background: rgba(0,0,0,.20);
	position: fixed;
	z-index: 1000000;
	width: 100vw;
	height: 100vh;
	top: 0;
	left: 0;
}

.fondo-aviso-cookies.activo {
	display: block;
}



.responsive-menu{
    position: fixed;
    top: 0;
    z-index: 1000000;
    width: 100vw;
    height: 100vh;
    background-color: #f9f9f900;
    transition: all 0.5s ease;
}
.closed{
    left: -100vw;
}

.open{
    left: 0;
}

.responsive-menu img{
    opacity: 0;
}
span.close-menu{
    font-size: 30px;
    cursor: pointer;
    background-color: #595959;
    color: #fff;
    border-radius: 50px;
    padding: 10px 10px;
    transform: scale(0);
    transition: all 0.5s ease-in-out;
}
.responsive-menu-items{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 70%;
}

.responsive-menu ul{
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    padding-left: 5px;
} 
.responsive-menu li{
    margin: 20px 0px;   
    color: #3F3F3F !important;
    text-align: start;
    transform: translateY(20px);
    transition: all 3s ease;
    opacity: 0;
}

.responsive-menu li a{
    padding: 10px 10px;
    text-decoration: none;
    color: #3F3F3F !important;
    font-family: 'Inter', sans-serif;
    font-weight: 700;
    font-size: 20px;
    width: 80vw;
    display: block;
}

.responsive-menu li a span{
    font-size: 25px;
    margin-right: 15px;
}

.responsive-menu-action{
    transform: scale(0);
    transition: all 0.5s ease-in-out;
}

.responsive-menu-action a{
    background-color: #1C74BA;
    color: #fff;
    padding: 15px 20px;
    border-radius: 5px;
    font-family: 'Inter', sans-serif;
    font-weight: 700;
    font-size: 20px;
    text-decoration: none;
    width: 80vw;
    max-width: 300px;
    display: block;
    margin: auto;
}

.responsive-menu.open{
    background-color: #F9F9F9;
}

.responsive-menu.open li{
    animation-name: fadeInUp;
    animation-duration: 1s;
    transform: translateY(0);
    opacity: 1;
}

.responsive-menu.open li:nth-child(1){
    animation-delay: 0.1s;
}

.responsive-menu.open li:nth-child(2){
    animation-delay: 0.2s;
}

.responsive-menu.open li:nth-child(3){
    animation-delay: 0.3s;
}

.responsive-menu.open li:nth-child(4){
    animation-delay: 0.4s;
}

.responsive-menu.open li:nth-child(5){
    animation-delay: 0.5s;
}

.responsive-menu.open img{
    animation-name: fadeInUp;
    animation-duration: 2s;
    /* animation-delay: 0.5s; */
    transform: translateY(0);
    opacity: 1;
}

.responsive-menu.open .close-menu{
    animation-name: scaleUp;
    animation-duration: 1.7s;
    transform: scale(1);
    transition: all 0.5s ease-in-out;
}

.responsive-menu.open .responsive-menu-action{
    animation-name: scaleUp;
    animation-duration: 1.7s;
    transform: scale(1);
    transition: all 0.5s ease-in-out;
}



.qty-input {
    color: #000;
    background: #fff;
    display: flex;
    align-items: center;
    overflow: hidden;
}
.qty-input .product-qty,
.qty-input .qty-count {
    background: transparent;
    color: inherit;
    font-weight: bold;
    font-size: inherit;
    border: none;
    display: inline-block;
    min-width: 0;
    height: 2.4rem;
    line-height: 1;
}
.qty-input .product-qty:focus,
.qty-input .qty-count:focus {
    outline: none;
}
.qty-input .product-qty {
    width: 50px;
    min-width: 0;
    display: inline-block;
    text-align: center;
    -webkit-appearance: textfield;
       -moz-appearance: textfield;
            appearance: textfield;
}
  .qty-input .product-qty::-webkit-outer-spin-button, .qty-input .product-qty::-webkit-inner-spin-button {
    -webkit-appearance: none;
            appearance: none;
    margin: 0;
  }
  .qty-input .qty-count {
    padding: 0;
    cursor: pointer;
    width: 3rem;
    font-size: 1.25em;
    text-indent: -100px;
    overflow: hidden;
    position: relative;
  }
  .qty-input .qty-count:before, .qty-input .qty-count:after {
    content: "";
    height: 2px;
    width: 10px;
    position: absolute;
    display: block;
    background: #000;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    margin: auto;
  }
  .qty-input .qty-count--minus {
    border-right: 1px solid #e2e2e2;
  }
  .qty-input .qty-count--add {
    border-left: 1px solid #e2e2e2;
  }
  .qty-input .qty-count--add:after {
    transform: rotate(90deg);
  }
  .qty-input .qty-count:disabled {
    color: #ccc;
    background: #f2f2f2;
    cursor: not-allowed;
    border-color: transparent;
  }
  .qty-input .qty-count:disabled:before, .qty-input .qty-count:disabled:after {
    background: #ccc;
  }
  
  .qty-input {
    border-radius: 5px;
    /* box-shadow: 0 1em 2em -0.9em rgba(0, 0, 0, 0.7); */
    transform: scale(1.1);
  }



@keyframes scaleUp {
    0% {
        transform: scale(0);
    }
    50% {
        transform: scale(0);
    }
    80% {
        transform: scale(1.1);
    }
    100% {
        transform: scale(1);
    }
}

@keyframes fadeInUp {
    0% {
        opacity: 0;
        transform: translateY(20px) scale(0.5);
    }
    100% {
        opacity: 1;
        transform: translateY(0) scale(1);
    }
    
}


@media screen and (max-width: 840px){
    .menu-items{
        display: none;
    }
    .menu-hamburger{
        display: inline-block;
    }
    .pc-menu{
        justify-content: space-between !important;
    }
    nav{
        background-color: transparent;
        position: absolute;
    }
    .menu-logo{
        display: block !important;
    }

    .logonavbar{
        fill: #1C74BA !important;
    }
    .logonavbar path{
        fill: #1C74BA !important;
    }
    
}
@media screen and (max-width: 575px){
    .menu-logo, .menu-hamburger{
        width: 45%;
    }
    .menu-logo svg{
        max-width: 100%;
    }
    .footer-section{
        width: 85% !important;
    }
    
}
@media screen and (max-width: 499px){
    .glassBox{
        max-width: 45%;
    }
    .process_item h3 {
        text-align: start !important;
    }
}


/** Ipad Pro */
@media (max-width: 834px) and (max-height: 1194px){
    .menu-logo, .menu-hamburger{
        width: 45%;
    }
    .menu-hamburger{
        max-width: 150px;
    }
}

